# Parts

This is a collection of pre-built blocks of code, written in for use in node.js projects. Each block is accompanied by enough Stylus and JavaScript to enable them to work as a standalone example.

Use these in your projects where possible to speed up production and to help maintain consistency between projects.

## Blocks

### Layout

* Document Head
  * Basic Document Head
* Main Header
  * Basic Header
* Main Navigation
  * Basic Navigation
* Main Footer
  * Basic Footer

### Foundations

* Typography
* Forms
* Tables

### Components

* Blockquote
* Breadcrumb
* Media Block
* Pagination

---

## Coming Soon…

### Layout

* Document Head
  * Twitter / Open Graph meta tags
  * Meta Icons
* Main Navigation
  * Responsive Navigation Variations

### Foundations

* Typography
  * Basic Styling
* Buttons
* Icons
* Grid Examples
* Debug Stylesheet with examples
* Common Form Patterns
  * Form field combos - DOB, Time/Date etc.
  * Simple Search Form
  * Preempt Search Form
  * Login Form / Password Reset
  * Custom Input elements - Select2, custom radio/checkboxes

## Components

* Article Meta – Author Information, Category and Dates
* Footnotes
* FAQs
* Tooltips
* Modal Overlays
* Dialogue Overlays
* Notification Bars
* jScrollPane Scrollable Area


## Templates

* Basic Atricle Template
* Basic Style Guide Page
* Gallery Templates
* 500/Maintenance Page
* Search Results

## Widgets

* Tabbed Widget
* Download Widget
* Search Widget
* Article List Widget (Text)
* Article List Widget (Images)
* Poll Widget
